#ifndef _Handle_PGeom_Surface_HeaderFile
#define _Handle_PGeom_Surface_HeaderFile

#ifndef _Standard_Macro_HeaderFile
#include <Standard_Macro.hxx>
#endif

#ifndef _Handle_PGeom_Geometry_HeaderFile
#include <Handle_PGeom_Geometry.hxx>
#endif
#ifndef _Standard_HeaderFile
#include <Standard.hxx>
#endif

class Standard_Persistent;
class Handle_Standard_Type;
class Handle(PGeom_Geometry);
class PGeom_Surface;
Standard_EXPORT Handle_Standard_Type& STANDARD_TYPE(PGeom_Surface);

class Handle(PGeom_Surface) : public Handle(PGeom_Geometry) {
  public:

    Handle(PGeom_Surface)():Handle(PGeom_Geometry)() {} 
    Handle(PGeom_Surface)(const Handle(PGeom_Surface)& aHandle) : Handle(PGeom_Geometry)(aHandle) 
     {
     }

    Handle(PGeom_Surface)(const PGeom_Surface* anItem) : Handle(PGeom_Geometry)((PGeom_Geometry *)anItem) 
     {
     }

    Handle(PGeom_Surface)& operator=(const Handle(PGeom_Surface)& aHandle)
     {
      Assign(aHandle.Access());
      return *this;
     }

    Handle(PGeom_Surface)& operator=(const PGeom_Surface* anItem)
     {
      Assign((Standard_Persistent *)anItem);
      return *this;
     }

    PGeom_Surface* operator->() const 
     {
      return (PGeom_Surface *)ControlAccess();
     }

   Standard_EXPORT static const Handle(PGeom_Surface) DownCast(const Handle(Standard_Persistent)& AnObject);
};
#endif
